dev-python / pymediainfo

A wrapper around the mediainfo library

Official package sites : https://github.com/sbraz/pymediainfo ·

v5.1.0 :: 0 :: gentoo

Modified
License
MIT
Keywords
~amd64 ~x86
USE flags
doc test

v5.0.4 :: 0 :: gentoo

Modified
License
MIT
Keywords
amd64 x86
USE flags
doc test

General

doc
Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

python_targets

pypy3
Build with PyPy3
python3_10
Build with Python 3.10
python3_8
Build with Python 3.8
python3_9
Build with Python 3.9

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-lang / python-exec : Python script wrapper

dev-python / importlib_metadata : Read metadata from Python packages

dev-python / pypy3 : A fast, compliant alternative implementation of the Python (3.7) language

media-libs / libmediainfo : MediaInfo libraries

Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: enable Python 3.10
Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Sam James · gentoo
dev-python/pymediainfo: Stabilize 5.0.4 amd64, #787566
Signed-off-by: Sam James <sam@gentoo.org>
Sam James · gentoo
dev-python/pymediainfo: Stabilize 5.0.4 x86, #787566
Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: drop 5.0.3
Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: add 5.1.0
Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: drop 4.3
Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: add 5.0.4
This new version has changed runtime dependencies. Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove obsolete values from PYTHON_COMPAT
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Package-Manager: Portage-3.0.8, Repoman-3.0.2 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 5.0.3
Package-Manager: Portage-3.0.8, Repoman-3.0.2 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Package-Manager: Portage-3.0.8, Repoman-3.0.2 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 5.0.2
Package-Manager: Portage-3.0.8, Repoman-3.0.2 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 4.3
Package-Manager: Portage-3.0.8, Repoman-3.0.2 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
dev-python/pymediainfo: Set DISTUTILS_USE_SETUPTOOLS=rdepend
The QA check has been improved and handles this package just fine. Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: add Python 3.9 support
Package-Manager: Portage-3.0.3, Repoman-2.3.23 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
dev-python/pymediainfo: Remove redundant versions
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 4.2.1, add Py3.8, use distutils_*
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
dev-python/pymediainfo: Remove redundant versions
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Clean PYTHON_COMPAT of obsolete impls
Closes: https://github.com/gentoo/gentoo/pull/14246 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
David Seifert · gentoo
dev-python/pymediainfo: Remove Py2
Package-Manager: Portage-2.3.83, Repoman-2.3.20 Signed-off-by: David Seifert <soap@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: [QA] Fix trivial cases of MissingTestRestrict
The result was achieved via the following pipeline: pkgcheck scan -c RestrictTestCheck -R FormatReporter \ --format '{category}/{package}/{package}-{version}.ebuild' | xargs -n32 grep -L RESTRICT | xargs -n32 sed -i -e '/^IUSE=.*test/aRESTRICT="!test? ( test )"' The resulting metadata was compared before and after the change. Few Go ebuilds had to be fixed manually due to implicit RESTRICT=strip added by the eclass. Two ebuilds have to be fixed because of multiline IUSE. Suggested-by: Robin H. Johnson <robbat2@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/13942 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Package-Manager: Portage-2.3.73, Repoman-2.3.17 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 4.1
Package-Manager: Portage-2.3.73, Repoman-2.3.17 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove python3_4 PYTHON_COMPAT correctly
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 4.0
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 3.1
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 3.0, make pytest verbose
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Louis Sautier <sbraz@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: add Python 3.7
Package-Manager: Portage-2.3.43, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: add missing doc dependency
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Louis Sautier · gentoo
dev-python/pymediainfo: add xml to PYTHON_REQ_USE
Package-Manager: Portage-2.3.38, Repoman-2.3.9 Closes: https://github.com/gentoo/gentoo/pull/8620
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Closes: https://github.com/gentoo/gentoo/pull/8420 Package-Manager: Portage-2.3.31, Repoman-2.3.9
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 2.3.0, update dependencies
dev-python/setuptools_scm is now required at build time and dev-python/setuptools at runtime to obtain the package version. Package-Manager: Portage-2.3.31, Repoman-2.3.9
Louis Sautier · gentoo
dev-python/pymediainfo: remove old.
Package-Manager: Portage-2.3.13, Repoman-2.3.4 Closes: https://github.com/gentoo/gentoo/pull/6147
Louis Sautier · gentoo
dev-python/pymediainfo: version bump to 2.2.0
This new version supports media-libs/libmediainfo v17.10. Support for pypy and pyp3 has been added. Package-Manager: Portage-2.3.13, Repoman-2.3.4 Closes: https://github.com/gentoo/gentoo/pull/6147
Louis Sautier · gentoo
dev-python/pymediainfo: remove old.
Package-Manager: Portage-2.3.4, Repoman-2.3.2 Closes: https://github.com/gentoo/gentoo/pull/4279
Louis Sautier · gentoo
dev-python/pymediainfo: version bump to 2.1.9 and add
Python 3.6 support. Use py.test instead of nose in order to easily exclude the new test which requires network access. Package-Manager: Portage-2.3.4, Repoman-2.3.2 Closes: https://github.com/gentoo/gentoo/pull/4279
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
T. Malfatti · gentoo
media-libs/portaudio: Version bump
Michał Górny · gentoo
global: Drop dead implementations from PYTHON_COMPAT
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Package-Manager: portage-2.3.0 Closes: https://github.com/gentoo/gentoo/pull/1931 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 2.1.5
Package-Manager: portage-2.3.0 Closes: https://github.com/gentoo/gentoo/pull/1931 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1412 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 2.1.4
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1412 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 2.1.3, add doc
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1401 Signed-off-by: Ian Delaney <idella4@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1401 Signed-off-by: Ian Delaney <idella4@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1383 Signed-off-by: Ian Delaney <idella4@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 2.1.2
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1383 Signed-off-by: Ian Delaney <idella4@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: remove old
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1284 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 2.1, add ~x86
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1284 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Ian Delaney · gentoo
Merge remote-tracking branch 'remotes/sbraz/pymediainfo'
Pull request: https://github.com/gentoo/gentoo/pull/801
Louis Sautier · gentoo
dev-python/pymediainfo: bump to 2.0, add tests, update home page
Package-Manager: portage-2.2.27
Patrice Clement · gentoo
dev-python/pymediainfo: Initial import. Fixes bug 559034.
Package-Manager: portage-2.2.20.1 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>